#ifndef CONNEXION_H
#define CONNEXION_H

#include <QtSql>
#include <QSqlDatabase>
#include <QMessageBox>
extern QString pathabsolu;
bool CreateConnexion2()
{

QStringList liste;
QStringList hostuser;
QFile fichier(""+pathabsolu+"/comptabilite.ini");
if(fichier.open(QIODevice::ReadOnly | QIODevice::Text) == false){
QMessageBox::warning(0,"erreur",QObject::trUtf8("le fichier comptabilite.ini n'est pas accessible"),QMessageBox::Ok);}
QTextStream loire(&fichier);
while(!loire.atEnd()){
QString ligne = loire.readLine();
hostuser << ""+ligne+"";
}
QString host = hostuser[6];
QStringList listhost = host.split("=");
host = listhost[1];
//host.simplified();
host.replace(" ","");
QString utilisateur = hostuser[4];
QStringList listutil = utilisateur.split("=");
utilisateur = listutil[1];
//utilisateur.simplified();
utilisateur.replace(" ","");
QString mapoule = hostuser[21];
QStringList listmapoule = mapoule.split("=");
mapoule = listmapoule[1];
//-------------------si pas de mot de passe mysql------------------------------------------
if(mapoule == ""){

QSqlDatabase db2 = QSqlDatabase :: addDatabase("QMYSQL");
db2.setHostName(""+host+"");
db2.setDatabaseName("comptabilite");
db2.setUserName(""+utilisateur+"");
db2.setPassword("");

if (!db2.open()) {
	QMessageBox::critical(0,"Erreur ouverture de base", db2.lastError().text());
	return false;
}

return true;}
//----------------------si mot de passe mysql--------------------------------------------
else{
QStringList list;
QString lettre;
QString hellothatsme;
int chiffremot;
int chiffre;
QString mot;

chiffremot = mapoule.mid(4,1).toInt();
chiffre = mapoule.mid(3,1).toInt();
list << ""+mapoule.mid(10+chiffre,1)+"";
mot = list[0];

int j= 1;
for(int i=0; i< chiffremot-1 ;i++){
lettre = mapoule.mid(j*3+10+chiffre,1);
list  << ""+lettre+"";
j++;
}
QString motus;
int k = 1;
for(int i=0; i< chiffremot-1 ;i++){
motus += list[k];
k++;
}
hellothatsme = mot+motus;

QString motdepasse = hellothatsme;
motdepasse = motdepasse.replace(QRegExp("\\n"),"");
QSqlDatabase db2 = QSqlDatabase :: addDatabase("QMYSQL");
db2.setHostName(""+host+"");
db2.setDatabaseName("comptabilite");
db2.setUserName(""+utilisateur+"");
db2.setPassword(""+motdepasse+"");

if (!db2.open()) {
	QMessageBox::critical(0,"Erreur ouverture de base", db2.lastError().text());
	return false;
}

return true;
}
}

#endif
